Bug 1005911 - rsnapshot in quiet mode print info message "Logical volume "rsnapshot" successfully removed"
rsnapshot in quiet mode print info message "Logical volume "rsnapshot" succes...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: rsnapshot (Show other bugs)
el6
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Steven Roberts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 12:22 EDT by Gena Makhomed
Modified: 2013-09-29 14:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: rsnapshot-1.3.1-12.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 18:55:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gena Makhomed 2013-09-09 12:22:32 EDT
Description of problem:

rsnapshot in quiet mode print info message

    Logical volume "rsnapshot" successfully removed

Version-Release number of selected component (if applicable):

rsnapshot-1.3.1-7.el6.noarch (or any other rsnapshot 1.3.1 version)

How reproducible:

always

Steps to Reproduce:
1. configure rsnapshot to make backups via lvm snapshots.
2. configure in cron execute "rsnapshot -q sync" every night.
3. wait one day.

Actual results:

cron send email with text:

    Logical volume "rsnapshot" successfully removed

Expected results:

expected nothing if rsnapshot finished successfully.

Additional info:

this bug already fixed in unstable master branch 
at github: https://github.com/DrHyde/rsnapshot

just need backport this fix to latest stable version 1.3.1.

patch:

===========================================================

# diff -u rsnapshot.orig rsnapshot
--- rsnapshot.orig      2012-07-25 22:00:37.000000000 +0300
+++ rsnapshot   2013-09-08 19:59:47.195833526 +0300
@@ -3749,7 +3749,9 @@

          print_cmd(@cmd_stack);
          if (0 == $test) {
-            $result = system(@cmd_stack);
+            # silence gratuitous lvremove output
+            #$result = system(@cmd_stack);
+            $result = system(join " ", @cmd_stack, ">/dev/null");

              if ($result != 0) {
                  bail("Removal of LVM snapshot failed: $result");

===========================================================
Comment 1 Fedora Update System 2013-09-11 02:31:36 EDT
rsnapshot-1.3.1-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rsnapshot-1.3.1-12.el6
Comment 2 Fedora Update System 2013-09-11 02:32:25 EDT
rsnapshot-1.3.1-12.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rsnapshot-1.3.1-12.el5
Comment 3 Fedora Update System 2013-09-11 02:33:54 EDT
rsnapshot-1.3.1-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rsnapshot-1.3.1-12.fc19
Comment 4 Fedora Update System 2013-09-11 02:37:35 EDT
rsnapshot-1.3.1-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rsnapshot-1.3.1-12.fc20
Comment 5 Fedora Update System 2013-09-11 12:58:16 EDT
Package rsnapshot-1.3.1-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rsnapshot-1.3.1-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16415/rsnapshot-1.3.1-12.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-24 18:55:15 EDT
rsnapshot-1.3.1-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-24 19:04:24 EDT
rsnapshot-1.3.1-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-29 14:17:52 EDT
rsnapshot-1.3.1-12.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-29 14:19:26 EDT
rsnapshot-1.3.1-12.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.